summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/xautolock/README21
-rw-r--r--system/xautolock/slack-desc11
-rw-r--r--system/xautolock/xautolock.SlackBuild51
-rw-r--r--system/xautolock/xautolock.info8
4 files changed, 91 insertions, 0 deletions
diff --git a/system/xautolock/README b/system/xautolock/README
new file mode 100644
index 0000000000..064bda9214
--- /dev/null
+++ b/system/xautolock/README
@@ -0,0 +1,21 @@
+Xautolock monitors console activity under the X window system, and
+fires up a program of your choice if nothing happens during a
+user configurable period of time. You can use this to automatically
+start up a screen locker in case you tend to forget to do so manually
+before having a coffee break.
+
+Xautolock will typically be used to lock the screen but it really
+doesn't care what program you make it start. The only real assumption
+made by xautolock is that a new countdown starts as soon as the
+locker exits.
+
+I use xautolock with xlockmore in this way:
+
+ xautolock -time 10 -locker xlock
+
+Note: this script calls /usr/X11R6/bin/xmkmf, which requires that directory
+ to be in your $PATH. Therefore, you will almost certainly need to
+ do "su -" instead of just "su" to build this.
+
+If you have any questions or comments about this script you are free to
+contact me via e-mail: jick.nan AT gmail.com Enjoy!
diff --git a/system/xautolock/slack-desc b/system/xautolock/slack-desc
new file mode 100644
index 0000000000..cb1df2ce3e
--- /dev/null
+++ b/system/xautolock/slack-desc
@@ -0,0 +1,11 @@
+xautolock: xautolock
+xautolock:
+xautolock: Xautolock monitors console activity under the X window system, and
+xautolock: fires up a program of your choice if nothing happens during a
+xautolock: user configurable period of time. You can use this to automatically
+xautolock: start up a screen locker in case you tend to forget to do so
+xautolock: manually before having a coffee break.
+xautolock:
+xautolock: Xautolock will typically be used to lock the screen but it really
+xautolock: doesn't care what program you make it start.
+xautolock:
diff --git a/system/xautolock/xautolock.SlackBuild b/system/xautolock/xautolock.SlackBuild
new file mode 100644
index 0000000000..152e0f3622
--- /dev/null
+++ b/system/xautolock/xautolock.SlackBuild
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Slackware build script for xautolock
+
+# Written by Jick Nan (jick.nan@gmail.com)
+# Modified by the SlackBuilds.org project
+# Assumed to be public domain per our submission policy
+
+PRGNAM=xautolock
+VERSION=2.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tgz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+xmkmf || exit 1
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+make install.man DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+gzip -9 $PKG/usr/X11R6/man/man1/xautolock.1x || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changelog Readme VMS.notes Todo $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ cat $CWD/$PRGNAM.SlackBuild > $PRGNAM.SlackBuild
+ ln -s /usr/X11R6/lib/X11/doc/html/xautolock.1.html xautolock.1.html
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/xautolock/xautolock.info b/system/xautolock/xautolock.info
new file mode 100644
index 0000000000..351ff1192d
--- /dev/null
+++ b/system/xautolock/xautolock.info
@@ -0,0 +1,8 @@
+PRGNAM="xautolock"
+VERSION="2.1"
+HOMEPAGE="http://freshmeat.net/projects/xautolock/"
+DOWNLOAD="http://www.ibiblio.org/pub/Linux/X11/screensavers/xautolock-2.1.tgz"
+MD5SUM="35c22fd9748f872fdb3ce8d861951704"
+MAINTAINER="Jick Nan"
+EMAIL="jick.nan@gmail.com"
+APPROVED="rworkman"